%global debug_package %{nil}
%global uuid    org.gnome.design.Contrast

Name:           contrast
Version:        0.0.2
Release:        1%{?dist}
Summary:        Checks whether the contrast between two colors meet the WCAG requirements

License:        GPLv3+
URL:            https://gitlab.gnome.org/World/design/contrast
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.gz

# BuildRequires:  gmp-devel
# BuildRequires:  sassc
BuildRequires:  cargo
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  libsass-devel
BuildRequires:  meson
BuildRequires:  rust
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libhandy-0.0) >= 0.0.10
Requires:       hicolor-icon-theme

%description
%{summary}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license LICENSE.md
%doc README.md code-of-conduct.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_metainfodir}/*.xml


%changelog
* Wed Nov 20 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.0.2-1
- Initial package
